require "gooi"

function love.load()
    gr = love.graphics
    kb = love.keyboard
    mo = love.mouse
    gr.setBackgroundColor(111, 105, 111)

    function width() return gr.getWidth() end
    function height() return gr.getHeight() end

    style = {
        font = gr.newFont("fonts/Arimo-Bold.ttf", 22),
        radius = 5,
        innerRadius = 3,
        showBorder = true,
    }
    gooi.setStyle(style)
    gooi.desktopMode()
    
    gooi.shadow()       -- 1 of three different Modes!

    gr.setDefaultFilter("nearest", "nearest")  -- Filter, used when images should be scaled

    -- GOOi-GUI-Elements
    lbl1 = gooi.newLabel({x = 100, text = "Save a line of text >>> Quit with q!"}) -- Label 1
    
    txt1 = gooi.newText({text = "A text field", x = 70, y = 100, w = 328, h = 35}):setText("Let's have cookies today!")
    
    saveButton = gooi.newButton({text = "Save", x = 410, y = 100, w = 80, h = 35}):onRelease(function()
        love.filesystem.setIdentity("MyNewApp7")
        love.filesystem.write("mynote.txt", txt1:getText(), all) 
        -- love.filesystem.write("mynote.txt", "Cookies for everyone!", all)
    end)
    
    exitButton = gooi.newButton({text = "Quit", x = 280, y = 180, w = 150, h = 50})
        :setIcon("imgs/coin.png"):danger()
        :setTooltip("Exit here!")
        :onRelease(function()
            gooi.confirm({
                text = "Are you sure?",
                ok = function()
                    quit()
                end
            })
        end)
end

function love.update(dt)
    gooi.update(dt)
end
  
function love.draw()
  gooi.draw()
end

function love.mousereleased(x, y, button) gooi.released() end
function love.mousepressed(x, y, button)  gooi.pressed() end

function love.textinput(text) gooi.textinput(text) end

function love.keypressed(key, scancode, isrepeat)
    gooi.keypressed(key, scancode, isrepeat)
    if key == "q" then
        quit()
    end
end
function love.keyreleased(key, scancode)
    gooi.keyreleased(key, scancode)
end

function quit()
    love.event.quit()
end
